@custom-variant dark (&:where(.dark, .dark *));

* {
	box-sizing: border-box;
}

html{
	scroll-behavior: smooth;
}
:root {
	--main-color: #f15b29;
	--secondry-color: #6c757d;
	--primary-color: #fcb332;
	--main-padding: 60px 0;
	--font-raleway: "Raleway", sans-serif;
	--font-cairo: "Cairo", sans-serif;
}

body {
	font-family: var(--font-raleway);
}

[dir="rtl"] body{
	font-family: var(--font-cairo);
}

section{
overflow-x: hidden;
}


.container {
	margin: 0 auto;
	padding: 0 15px;
}

.text-main {
	color: var(--main-color);
}

.bg-main {
	background-color: var(--main-color);
}

.border-main {
	border: 1px solid var(--main-color);
}

.main-p {
	padding: var(--main-padding);
}

/* Modal Animation Styles */
.modal-overlay {
	opacity: 0;
	visibility: hidden;
	transition: all 0.3s ease-in-out;
}

.modal-overlay.show {
	opacity: 1;
	visibility: visible;
}

.modal-content {
	transform: scale(0.7) translateY(-50px);
	opacity: 0;
	transition: all 0.3s cubic-bezier(0.34, 1.56, 0.64, 1);
}

.modal-overlay.show .modal-content {
	transform: scale(1) translateY(0);
	opacity: 1;
}

/* Modal backdrop blur animation */
.modal-backdrop {
	backdrop-filter: blur(0px);
	transition: backdrop-filter 0.3s ease-in-out;
}

.modal-overlay.show .modal-backdrop {
	backdrop-filter: blur(4px);
}

/* Button hover animation */
.modal-button {
	transition: all 0.3s ease;
}

.modal-button:hover {
	transform: translateY(-2px);
	box-shadow: 0 8px 20px rgba(249, 115, 22, 0.3);
}



/* Success icon animation */
@keyframes checkmark {
	0% {
		stroke-dashoffset: 24;
	}

	100% {
		stroke-dashoffset: 0;
	}
}

.success-checkmark {
	stroke-dasharray: 24;
	animation: checkmark 0.6s ease-in-out 0.3s forwards;
}


.scale-loop {
	animation: scalePulse 2s ease-in-out infinite;
}

@keyframes scalePulse {
	0%,
	100% {
		transform: scale(1);
	}
	50% {
		transform: scale(105%);
	}
}

@keyframes phoneTilt {
	0%   { transform: rotate(0deg); }
	25%  { transform: rotate(-7deg); }
	50%  { transform: rotate(7deg); }
	75%  { transform: rotate(0deg); }
	100% { transform: rotate(0deg); }
  }
  
  .animate-phone-tilt {
	animation: phoneTilt 3s ease-in-out infinite;
	
  }

  .swiper-button-disabled div{
	background-color: #949494;
  }